package jp.ac.takushoku_u.cs;

/**
* ArithmeticMatrixExceptionクラスはMatrixのサイズが不正であるため
* 演算が行えないことを示すためにスローされます。
* @version 1.0
* @author 笠島 裕史(Kasajima Hiroshi)
*/
/*
* 最終更新日 2004年09月27日
*/

public class ArithmeticMatrixException extends MatrixException{

/**
* メッセージを持たない ArithmeticMatrixException を構築します。
*/
	public ArithmeticMatrixException(){
		super();
	}
	
/**
* 指定した詳細メッセージを持つ ArithmeticMatrixException を構築します。
* @param s 詳細メッセージ
*/
	public ArithmeticMatrixException(String s){
		super(s);
	}
}